Subject: Re: Power management for ppc 85xx

From: Clemens Koller <[email-masked]>
Date: Sat, 09 Dec 2006 06:31:44 +0100

Hello, Kumar, Hi, Marta!

>> Glad I managed to make sense. I checked the hardware spec on the board
>> and it looks like we're using everything, apart from the SEC and maybe
>> the stand-alone I2C (I think we're just using the one within the CMP).
>> By the way, I made a mistake and the actual processor on the board is
>> the cut-down 8541, not the 8555. My apologies for that.
>>
>> This morning I added some printks and confirmed that there is no code
>> behind pm_ops, so my question remains: is there some code out there  
>> that
>> I can use? (hope so, otherwise I'm doomed...)
> 
> I'm sorry to say you're doomed.  I don't believe anyone's spent any  
> time trying to do pwr mgmt on 85xx.

I am working with the MPC8540 in a mobile product and some
power saving would be fine to use. But I haven't seen any
power management code for that thingy in the kernels at all.
So, there is some work left there. Maybe I will have
a closer look in the future.

According to some tests of a board manufacturer, the cpu
doesn't power down very much, when you stop some peripherals
or send the core to nap. But I wasn't able to confirm that yet.

Best greets,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm-technology.com
Phone: +49-89-741518-50
Fax: +49-89-741518-19